--
-- backup20150605-181037.sql


DROP DATABASE `muxlabnetworkcontroller_dev_db`;
CREATE DATABASE IF NOT EXISTS `muxlabnetworkcontroller_dev_db` DEFAULT CHARACTER SET latin1 COLLATE latin1_swedish_ci;
USE `muxlabnetworkcontroller_dev_db`;


CREATE TABLE `globalproductlistsaved` (
  `globalproductlistsavedID` int(11) NOT NULL AUTO_INCREMENT,
  `ProductCustomName` varchar(85) DEFAULT NULL,
  `ProductIp` varchar(15) DEFAULT NULL,
  `ProductMask` varchar(15) DEFAULT NULL,
  `ProductIsDhcp` tinyint(1) DEFAULT NULL,
  `ProductSupported_ProductSupportedID` int(11) NOT NULL,
  `ProductLogin` varchar(45) DEFAULT NULL,
  `ProductPassword` varchar(45) DEFAULT NULL,
  `ProductIdOverride` int(11) DEFAULT '1',
  PRIMARY KEY (`globalproductlistsavedID`,`ProductSupported_ProductSupportedID`),
  KEY `fk_GlobalProductListSaved_ProductSupported1_idx` (`ProductSupported_ProductSupportedID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;


CREATE TABLE `iopurpose` (
  `iopurposeID` int(11) NOT NULL AUTO_INCREMENT,
  `IoPurposeName` varchar(85) DEFAULT NULL,
  PRIMARY KEY (`iopurposeID`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=latin1;

INSERT INTO `iopurpose` VALUES ('1','INPUT VIDEO');
INSERT INTO `iopurpose` VALUES ('2','INPUT AUDIO');
INSERT INTO `iopurpose` VALUES ('3','INPUT DATA');
INSERT INTO `iopurpose` VALUES ('4','CONTROL');
INSERT INTO `iopurpose` VALUES ('5','OUTPUT VIDEO');
INSERT INTO `iopurpose` VALUES ('6','OUTPUT AUDIO');
INSERT INTO `iopurpose` VALUES ('7','OUTPUT DATA');


CREATE TABLE `iotype` (
  `iotypeID` int(11) NOT NULL AUTO_INCREMENT,
  `IoTypeName` varchar(85) DEFAULT NULL,
  PRIMARY KEY (`iotypeID`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=latin1;

INSERT INTO `iotype` VALUES ('1','HDMI');
INSERT INTO `iotype` VALUES ('2','HDBT');
INSERT INTO `iotype` VALUES ('3','RS232');
INSERT INTO `iotype` VALUES ('4','VGA');
INSERT INTO `iotype` VALUES ('5','LAN');
INSERT INTO `iotype` VALUES ('6','IR');
INSERT INTO `iotype` VALUES ('7','USB');


CREATE TABLE `presets_p1` (
  `presets_p1ID` int(11) NOT NULL AUTO_INCREMENT,
  `PresetsName` varchar(45) DEFAULT NULL,
  `PresetsType` varchar(45) DEFAULT NULL,
  `ProductGlobalAttributs_P1_productglobalattributs_p1ID` int(11) NOT NULL,
  PRIMARY KEY (`presets_p1ID`,`ProductGlobalAttributs_P1_productglobalattributs_p1ID`),
  KEY `fk_Presets_P1_ProductGlobalAttributs_P11_idx` (`ProductGlobalAttributs_P1_productglobalattributs_p1ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;


CREATE TABLE `presetsmatrix_p1` (
  `presetsmatrix_p1ID` int(11) NOT NULL AUTO_INCREMENT,
  `macRx` varchar(45) DEFAULT NULL,
  `macTx` varchar(45) DEFAULT NULL,
  `Presets_P1_presets_p1ID` int(11) NOT NULL,
  PRIMARY KEY (`presetsmatrix_p1ID`,`Presets_P1_presets_p1ID`),
  KEY `fk_PresetsMatrix_P1_Presets_P11_idx` (`Presets_P1_presets_p1ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;


CREATE TABLE `productcategory` (
  `productcategoryID` int(11) NOT NULL AUTO_INCREMENT,
  `ProductCategoryName` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`productcategoryID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

INSERT INTO `productcategory` VALUES ('1','Matrix');
INSERT INTO `productcategory` VALUES ('2','Matrix Virtual');
INSERT INTO `productcategory` VALUES ('3','Media Player');
INSERT INTO `productcategory` VALUES ('4','Display');
INSERT INTO `productcategory` VALUES ('5','Light');
INSERT INTO `productcategory` VALUES ('6','Connector');


CREATE TABLE `productglobalattributs_p1` (
  `productglobalattributs_p1ID` int(11) NOT NULL AUTO_INCREMENT,
  `GlobalProductListSaved_globalproductlistsavedID` int(11) NOT NULL,
  `AppSettings_isAutoConfig` tinyint(1) DEFAULT NULL,
  `TxGroupIpUsed` varchar(512) DEFAULT '',
  `ActivePresetId` int(11) DEFAULT '1',
  PRIMARY KEY (`productglobalattributs_p1ID`,`GlobalProductListSaved_globalproductlistsavedID`),
  KEY `fk_ProductGlobalAttributs_P1_GlobalProductListSaved1_idx` (`GlobalProductListSaved_globalproductlistsavedID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;


CREATE TABLE `productioattributslist_p1` (
  `productioattributslist_p1` int(11) NOT NULL AUTO_INCREMENT,
  `ProductIoAttrCustomName` varchar(75) DEFAULT NULL,
  `ProductIoAttrName` varchar(75) DEFAULT NULL,
  `ProductIoAttrModel` varchar(45) DEFAULT NULL,
  `ProductIoAttrIp` varchar(15) DEFAULT NULL,
  `ProductIoAttrMask` varchar(15) DEFAULT NULL,
  `ProductIoAttrIsDhcp` tinyint(1) DEFAULT NULL,
  `ProductGroupIp` varchar(15) DEFAULT NULL,
  `ProductIoAttrMac` varchar(21) DEFAULT NULL,
  `ProductIoAttrAudioFormat` varchar(45) DEFAULT NULL,
  `ProductIoAttrIsDipSwitchEnabled` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsHdcpOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsIrOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsVideoDetected` tinyint(1) DEFAULT NULL,
  `ProductIoAttrCompressionRate` varchar(15) DEFAULT NULL,
  `ProductIoAttrVideoResolution` varchar(25) DEFAULT NULL,
  `ProductIoAttrIsDisplayConnected` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsScreenImageOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsScreenTextOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrConnectedMac` varchar(21) DEFAULT '00-00-00-00-00-00',
  `ProductGlobalAttributs_P1_productglobalattributs_p1ID` int(11) NOT NULL,
  `IoType_iotypeID` int(11) NOT NULL,
  `IoPurpose_iopurposeID` int(11) NOT NULL,
  `ProductIoAttrPortId` varchar(45) DEFAULT NULL,
  `ProductIoAttrConnectedProductId` int(11) DEFAULT NULL,
  `ProductIoAttrFwVersion` varchar(10) DEFAULT NULL,
  `ProductIoAttrIsAutoResolutionOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrUartBaudRate` varchar(15) DEFAULT 'NA',
  PRIMARY KEY (`productioattributslist_p1`,`ProductGlobalAttributs_P1_productglobalattributs_p1ID`),
  KEY `fk_ProductIoAttributsList_P1_ProductGlobalAttributs_P11_idx` (`ProductGlobalAttributs_P1_productglobalattributs_p1ID`),
  KEY `fk_ProductIoAttributsList_P1_IoType1_idx` (`IoType_iotypeID`),
  KEY `fk_ProductIoAttributsList_P1_IoPurpose1_idx` (`IoPurpose_iopurposeID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;


CREATE TABLE `productiolist` (
  `productiolistID` int(11) NOT NULL AUTO_INCREMENT,
  `ProductIoPortId` varchar(45) DEFAULT NULL,
  `ProductIoBaudRates` varchar(85) DEFAULT NULL,
  `ProductIoNotes` varchar(150) DEFAULT NULL,
  `IoPurpose_iopurposeID` int(11) NOT NULL,
  `IoType_iotypeID` int(11) NOT NULL,
  `ProductSupported_productsupportedID` int(11) NOT NULL,
  PRIMARY KEY (`productiolistID`,`IoPurpose_iopurposeID`,`IoType_iotypeID`,`ProductSupported_productsupportedID`),
  KEY `fk_ProductIoList_IoPurpose1_idx` (`IoPurpose_iopurposeID`),
  KEY `fk_ProductIoList_IoType1_idx` (`IoType_iotypeID`),
  KEY `fk_ProductIoList_ProductSupported1_idx` (`ProductSupported_productsupportedID`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=latin1;

INSERT INTO `productiolist` VALUES ('1',NULL,NULL,NULL,'1','1','1');
INSERT INTO `productiolist` VALUES ('2',NULL,NULL,NULL,'5','1','1');
INSERT INTO `productiolist` VALUES ('3',NULL,NULL,NULL,'3','6','1');
INSERT INTO `productiolist` VALUES ('4',NULL,NULL,NULL,'7','6','1');
INSERT INTO `productiolist` VALUES ('5',NULL,NULL,NULL,'4','5','1');


CREATE TABLE `productsupported` (
  `productsupportedID` int(11) NOT NULL AUTO_INCREMENT,
  `ProductCode` varchar(45) DEFAULT NULL,
  `ProductName` varchar(75) DEFAULT NULL,
  `ProductCie` varchar(75) DEFAULT NULL,
  `ProductApplicationName` varchar(75) DEFAULT NULL,
  `ProductControlCommType` varchar(85) DEFAULT NULL,
  `ProductControlDriverTypeAvailable` varchar(85) DEFAULT NULL,
  `ProductCategory_productcategoryID` int(11) NOT NULL,
  `ProductMaxInputsVideo` int(11) DEFAULT NULL,
  `ProductMaxInputsAudio` int(11) DEFAULT NULL,
  `ProductMaxInputsAV` int(11) DEFAULT NULL,
  `ProductMaxOutputsVideo` int(11) DEFAULT NULL,
  `ProductMaxOutputsAudio` int(11) DEFAULT NULL,
  `ProductMaxOutputsAV` int(11) DEFAULT NULL,
  `ProductBaudRateSupported` varchar(85) DEFAULT NULL,
  PRIMARY KEY (`productsupportedID`,`ProductCategory_productcategoryID`),
  KEY `fk_ProductSupported_ProductCategory1_idx` (`ProductCategory_productcategoryID`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;

INSERT INTO `productsupported` VALUES ('1','500752/753','Hdmi Over IP','Muxlab','P_muxlab_500752_753','IP','IP','2','16',NULL,NULL,'200',NULL,NULL,NULL);


CREATE TABLE `user` (
  `userID` int(11) NOT NULL AUTO_INCREMENT,
  `UserName` varchar(65) DEFAULT NULL,
  `UserPassword` varchar(45) DEFAULT NULL,
  `UserEmail` varchar(65) DEFAULT NULL,
  `UserCreationDate` datetime DEFAULT NULL,
  `UserExpirationDate` datetime DEFAULT NULL,
  `UserSalt` varchar(8) DEFAULT NULL,
  `UserIsActivated` tinyint(1) DEFAULT NULL,
  `UserRight_UserRightID` int(11) NOT NULL,
  PRIMARY KEY (`userID`),
  UNIQUE KEY `UserID_UNIQUE` (`userID`),
  KEY `fk_User_UserRight_idx` (`UserRight_UserRightID`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;

INSERT INTO `user` VALUES ('1','admin','9c1de23a6e94f017a0d32d40e777fb94223a6fe3',NULL,'2014-05-20 00:00:00','2015-05-20 00:00:00','12345678','1','1');
INSERT INTO `user` VALUES ('2','guest','guest',NULL,'2014-05-20 00:00:00','2015-05-20 00:00:00','12345678','1','2');


CREATE TABLE `userright` (
  `userrightID` int(11) NOT NULL AUTO_INCREMENT,
  `UserRight_All` tinyint(1) DEFAULT NULL,
  `UserRight_Read` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`userrightID`),
  UNIQUE KEY `UserRightID_UNIQUE` (`userrightID`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;

INSERT INTO `userright` VALUES ('1','1','1');
INSERT INTO `userright` VALUES ('2','0','1');


ALTER TABLE `globalproductlistsaved`
  ADD  CONSTRAINT `fk_GlobalProductListSaved_ProductSupported1` FOREIGN KEY (`ProductSupported_ProductSupportedID`) REFERENCES `productsupported` (`productsupportedID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `presets_p1`
  ADD  CONSTRAINT `fk_Presets_P1_ProductGlobalAttributs_P11` FOREIGN KEY (`ProductGlobalAttributs_P1_productglobalattributs_p1ID`) REFERENCES `productglobalattributs_p1` (`productglobalattributs_p1ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `presetsmatrix_p1`
  ADD  CONSTRAINT `fk_PresetsMatrix_P1_Presets_P11` FOREIGN KEY (`Presets_P1_presets_p1ID`) REFERENCES `presets_p1` (`presets_p1ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `productglobalattributs_p1`
  ADD  CONSTRAINT `fk_ProductGlobalAttributs_P1_GlobalProductListSaved1` FOREIGN KEY (`GlobalProductListSaved_globalproductlistsavedID`) REFERENCES `globalproductlistsaved` (`globalproductlistsavedID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `productioattributslist_p1`
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P1_IoPurpose1` FOREIGN KEY (`IoPurpose_iopurposeID`) REFERENCES `iopurpose` (`iopurposeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P1_IoType1` FOREIGN KEY (`IoType_iotypeID`) REFERENCES `iotype` (`iotypeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P1_ProductGlobalAttributs_P11` FOREIGN KEY (`ProductGlobalAttributs_P1_productglobalattributs_p1ID`) REFERENCES `productglobalattributs_p1` (`productglobalattributs_p1ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `productiolist`
  ADD  CONSTRAINT `fk_ProductIoList_IoPurpose1` FOREIGN KEY (`IoPurpose_iopurposeID`) REFERENCES `iopurpose` (`iopurposeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD  CONSTRAINT `fk_ProductIoList_IoType1` FOREIGN KEY (`IoType_iotypeID`) REFERENCES `iotype` (`iotypeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD  CONSTRAINT `fk_ProductIoList_ProductSupported1` FOREIGN KEY (`ProductSupported_productsupportedID`) REFERENCES `productsupported` (`productsupportedID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `productsupported`
  ADD  CONSTRAINT `fk_ProductSupported_ProductCategory1` FOREIGN KEY (`ProductCategory_productcategoryID`) REFERENCES `productcategory` (`productcategoryID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `user`
  ADD  CONSTRAINT `fk_User_UserRight` FOREIGN KEY (`UserRight_UserRightID`) REFERENCES `userright` (`userrightID`) ON DELETE NO ACTION ON UPDATE NO ACTION;
